Search for all
- Search 7.x for all
- Search 9.5.x for all
- Search 10.3.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| JsonApiRegressionTest::testDenormalizeAliasedRelationshipFromIssue2953207 | function | core/ |
Ensures denormalizing relationships with aliased field names works. |
| JsonApiRegressionTest::testEmptyMapFieldTypeDenormalization | function | core/ |
Ensure optional `@FieldType=map` fields are denormalized correctly. |
| JsonApiRegressionTest::testEmptyRelationshipFilteringFromIssue3025372 | function | core/ |
Ensure filtering for entities with empty entity reference fields works. |
| JsonApiRegressionTest::testFilterByIdFromIssue3015759 | function | core/ |
Ensures that filtering by a sequential internal ID named 'id' is possible. |
| JsonApiRegressionTest::testGetNodeCollectionWithHookNodeGrantsImplementationsFromIssue2984964 | function | core/ |
Ensures GETting node collection + hook_node_grants() implementations works. |
| JsonApiRegressionTest::testGetTermWhenMultipleVocabulariesExistFromIssue2977879 | function | core/ |
Ensures GETting terms works when multiple vocabularies exist. |
| JsonApiRegressionTest::testInvalidDataTriggersUnprocessableEntityErrorFromIssue3052954 | function | core/ |
Ensure POSTing invalid data results in a 422 response, not a PHP error. |
| JsonApiRegressionTest::testLeakCacheMetadataInOmitted | function | core/ |
Ensure EntityAccessDeniedHttpException cacheability is taken into account. |
| JsonApiRegressionTest::testLeakedCacheMetadataViaRdfFromIssue3053827 | function | core/ |
Ensure that child comments can be retrieved via JSON:API. |
| JsonApiRegressionTest::testMapFieldTypeNormalizationFromIssue3040590 | function | core/ |
Ensure `@FieldType=map` fields are normalized correctly. |
| JsonApiRegressionTest::testNonTranslatableEntityUpdatesFromIssue3043168 | function | core/ |
Ensure non-translatable entities can be PATCHed with an alternate language. |
| JsonApiRegressionTest::testPageCacheFromIssue3009596 | function | core/ |
Ensures that Drupal's page cache is effective. |
| JsonApiRegressionTest::testPatchingDateTimeFieldsFromIssue3021194 | function | core/ |
Ensures PATCHing datetime (both date-only & date+time) fields is possible. |
| JsonApiRegressionTest::testPatchingDateTimeNormalizedWrongTimeZoneIssue3021194 | function | core/ |
Ensures datetime fields are normalized using the correct timezone. |
| JsonApiRegressionTest::testPatchToIncludeUrlDoesNotReturnIncludeFromIssue3026030 | function | core/ |
Ensure includes are respected even when PATCHing. |
| JsonApiRegressionTest::testPostToIncludeUrlDoesNotReturnIncludeFromIssue3026030 | function | core/ |
Ensure includes are respected even when POSTing. |
| JsonApiRegressionTest::testRecursionDetectedWhenResponseContainsViolationsFrom3042124 | function | core/ |
Tests that the response still has meaningful error messages. |
| JsonApiRegressionTest::testThatRoutesAreRebuiltAfterDataModelChangesFromIssue2984886 | function | core/ |
Ensures that JSON:API routes are caches are dynamically rebuilt. |
| JsonApiRequestTestTrait | trait | core/ |
Boilerplate for JSON:API Functional tests' HTTP requests. |
| JsonApiRequestTestTrait.php | file | core/ |
|
| JsonApiRequestTestTrait::decorateWithXdebugCookie | function | core/ |
Adds the Xdebug cookie to the request options. |
| JsonApiRequestTestTrait::request | function | core/ |
Performs a HTTP request. Wraps the Guzzle HTTP client. |
| JsonApiRequestValidator | class | core/ |
Request subscriber that validates a JSON:API request. |
| JsonApiRequestValidator.php | file | core/ |
|
| JsonApiRequestValidator::getSubscribedEvents | function | core/ |
|
| JsonApiRequestValidator::onRequest | function | core/ |
Validates JSON:API requests. |
| JsonApiRequestValidator::validateQueryParams | function | core/ |
Validates custom (implementation-specific) query parameter names. |
| JsonapiServiceProvider | class | core/ |
Adds 'api_json' as known format and prevents its use in the REST module. |
| JsonapiServiceProvider.php | file | core/ |
|
| JsonapiServiceProvider::alter | function | core/ |
Modifies existing service definitions. |
| JsonapiServiceProvider::register | function | core/ |
Registers services to the container. |
| JsonApiSettingsForm | class | core/ |
Configure JSON:API settings for this site. |
| JsonApiSettingsForm.php | file | core/ |
|
| JsonApiSettingsForm::buildForm | function | core/ |
Form constructor. |
| JsonApiSettingsForm::getEditableConfigNames | function | core/ |
Gets the configuration names that will be editable. |
| JsonApiSettingsForm::getFormId | function | core/ |
Returns a unique string identifying the form. |
| JsonApiSettingsForm::submitForm | function | core/ |
Form submission handler. |
| JsonApiSpec | class | core/ |
Defines constants used for compliance with the JSON:API specification. |
| JsonApiSpec.php | file | core/ |
|
| JsonApiSpec::getReservedQueryParameters | function | core/ |
Gets the reserved (official) JSON:API query parameters. |
| JsonApiSpec::isValidCustomQueryParameter | function | core/ |
Checks whether the given custom query parameter name is valid. |
| JsonApiSpec::isValidMemberName | function | core/ |
Checks whether the given member name is valid. |
| JsonApiSpec::MEMBER_NAME_GLOBALLY_ALLOWED_CHARACTER_CLASS | constant | core/ |
Member name: globally allowed characters. |
| JsonApiSpec::MEMBER_NAME_INNER_ALLOWED_CHARACTERS | constant | core/ |
Member name: allowed characters except as the first or last character. |
| JsonApiSpec::RESERVED_QUERY_PARAMETERS | constant | core/ |
The reserved (official) query parameters. |
| JsonApiSpec::SUPPORTED_SPECIFICATION_PERMALINK | constant | core/ |
The URI of the supported specification document. |
| JsonApiSpec::SUPPORTED_SPECIFICATION_VERSION | constant | core/ |
The minimum supported specification version. |
| JsonApiSpec::VERSION_QUERY_PARAMETER | constant | core/ |
The query parameter for providing a version (revision) value. |
| JsonApiSpecTest | class | core/ |
@coversDefaultClass \Drupal\jsonapi\JsonApiSpec[[api-linebreak]] @group jsonapi |
| JsonApiSpecTest.php | file | core/ |
Pagination
- Previous page
- Page 806
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.